# React CLI
The React command line utility.

Inspired by [EmberCLI](https://github.com/ember-cli/ember-cli)

## Features
- File / Project generator using blueprints
- Generate project with the Flux architecture

## Installation
```
npm i -g @jdavalenti/react-cli
```

## Usage
After installing `react` CLI tool it will be available using the `react` command line.

#### Create a new project
```text
react new my-react-app
```

This will create a new folder `my-react-app` and setup the basic react project strcture and install any necessary dependencies.

#### Generate files
```text
react generate component ReactComponent
```

This will generate a `component` name `react-component.js`. `component` here is just an example and can be used with a variety of blueprints.

#### Currently Supported Blueprints
- Actions `action`
- Components `component`
- Constants `constant`
- Dispatchers `dispatcher`
- Stores `store`
- Utils `util`

#### Current Supported Architectures
- Flux `react new my-create-app --flux`

## Community
- Slack [Join the Slack Community](https://join.slack.com/t/reactcli/shared_invite/enQtMzM5MzY5MTU5MTY4LTdhYjZjYTJiZGEyNjJkMjI3ZDFjNDk2MDZkOTAzN2VlY2RlZTk2ODk2MGMyZmRkZWNjN2VmY2U4OWY5NDhkZjg)
- Issues [react-cli/issues](https://github.com/jdavalenti/react-cli/issues)

## License
This project is licensed under the [MIT License](https://github.com/jdavalenti/react-cli/blob/develop/LICENSE.md).

