const {
  generateFileName,
  getPascalCase
} = require("../../../utils/helperLoader");
const fs = require("fs");
const cwd = process.cwd();
const path = require("path");
const appDir = path.dirname(require.main.filename);
const {
  blueprintDirectory,
  loadedFile,
  createFile,
  filePath
} = require("../../../utils/blueprints");

module.exports = function(args) {
  let prefix = "components";

  // Does the base director exists.. if not let's create it...
  if (!fs.existsSync(`${cwd}/src/${prefix}`)) {
    fs.mkdirSync(`${cwd}/src/${prefix}`);
  }

  let fileName = generateFileName(args.name),
    componentName = getPascalCase(args.name);

  const coreFile = `${appDir}/blueprints/${prefix}/${loadedFile(args)}`;

  installDirectory = blueprintDirectory(args, cwd, prefix, componentName);

  createFile(coreFile, filePath(installDirectory, fileName), {
    stylesheet: args.options.stylesheet,
    name: componentName,
    file: fileName
  });
};
