const {
  generateFileName,
  getPascalCase
} = require("../../../utils/helperLoader");
const fs = require("fs");
const cwd = process.cwd();
const path = require("path");
const appDir = path.dirname(require.main.filename);
const {
  blueprintDirectory,
  createFile,
  filePath
} = require("../../../utils/blueprints");

module.exports = function(args) {
  let prefix = "constants";

  if (!fs.existsSync(`${cwd}/src/${prefix}`)) {
    fs.mkdirSync(`${cwd}/src/${prefix}`);
  }

  let fileName = generateFileName(args.name),
    componentName = getPascalCase(args.name);

  const coreFile = `${appDir}/blueprints/${prefix}/default.js`;

  installDirectory = blueprintDirectory(args, cwd, prefix, componentName);

  createFile(coreFile, filePath(installDirectory, fileName), {
    name: componentName
  });
};
