const cwd = process.cwd();
const { makeDirectory } = require("../utils/helperLoader");

module.exports = function(args, cb) {
  /**
   * If we're running from the core generator args are going to be passed down
   * which should include a direct path to the currently generated project. However,
   * if this isn't available let's assume we're running in the project directory.
   */

  let directory = args.options.directory ? args.options.directory : cwd,
    directorySource = `${directory}/src`;

  makeDirectory(directorySource, "actions");
  makeDirectory(directorySource, "dispatchers");
  makeDirectory(directorySource, "components");
  makeDirectory(directorySource, "constants");
  makeDirectory(directorySource, "stores");
  makeDirectory(directorySource, "utils");

  cb();
};
