const { validProjectDirectory } = require("../utils/helperLoader");
const ComponentBlueprint = require("./blueprints/create/component");
const ActionBlueprint = require("./blueprints/create/actions");
const ConstantBlueprint = require("./blueprints/create/constants");
const DispatcherBlueprint = require("./blueprints/create/dispatchers");
const StoreBlueprint = require("./blueprints/create/stores");
const UtilBlueprint = require("./blueprints/create/utils");

module.exports = function(args, cb) {
  validProjectDirectory();

  switch (args.blueprint) {
    case "component":
      ComponentBlueprint(args);
      break;
    case "action":
      ActionBlueprint(args);
      break;
    case "constant":
      ConstantBlueprint(args);
      break;
    case "dispatcher":
      DispatcherBlueprint(args);
      break;
    case "store":
      StoreBlueprint(args);
      break;
    case "util":
      UtilBlueprint(args);
      break;
  }

  cb();
};
