#!/usr/bin/env node

"use strict";

const vorpal = require("vorpal")();

// Actions
const gNewProject = require("./generators/new");
const gBlueprint = require("./generators/gBlueprint");
const dBlueprint = require("./generators/dBlueprint");

vorpal
  .command("new <name>")
  .option("-f, --flux", "Generate React project with Flux")
  .description("Generate a new React Project")
  .action(gNewProject);

vorpal
  .command("generate <blueprint> <name>")
  .alias("g")
  .option("-c, --class", "Generates React Blueprint with Class Export")
  .option("-p, --pod", "Generates React Blueprint in Pod Structure")
  .option("-s, --stylesheet", "Generates React Blueprint with Stylesheet")
  .description("Generates React Blueprint with Default Export")
  .action(gBlueprint);

vorpal
  .command("destroy <blueprint> <name>")
  .alias("d")
  .option("-c, --class", "Destroys React Blueprint with Class Export")
  .option("-p, --pod", "Destroys React Blueprint in Pod Structure")
  .option("-s, --stylesheet", "Destroys React Blueprint with Stylesheet")
  .description("Destroys a React Blueprint")
  .action(dBlueprint);

vorpal
  .delimiter("react")
  .show()
  .parse(process.argv);
