const fs = require("fs");

module.exports.blueprintDirectory = function(args, cwd, prefix, componentName) {
  let directory;
  if (args.options.pod) {
    directory = `${cwd}/src/${prefix}/${componentName}`;
    if (!fs.existsSync(directory)) {
      fs.mkdirSync(directory);
    }
  } else {
    directory = `${cwd}/src/${prefix}`;
  }

  return directory;
};

module.exports.loadedFile = function(args) {
  return args.options.class ? "class.js" : "default.js";
};

module.exports.createFile = function(source, destination, opts) {
  let sourceData = fs.readFileSync(source, "utf8"),
    compiledFile = sourceData.replace(/__NAME__/g, opts.name);

  if (opts.stylesheet) {
    let stylesheet = "",
      js = `${opts.file}.js`,
      sfl = `${opts.file}.css`;

    if (sfl) {
      stylesheet = destination.replace(js, sfl);
      fs.writeFileSync(stylesheet, "", "utf8");
      compiledFile = compiledFile.replace(
        /__STYLESHEET__/g,
        `import './${sfl}'`
      );
    } else {
      compiledFile = compiledFile.replace(/__STYLESHEET__/g, null);
    }
  }

  fs.writeFileSync(destination, compiledFile, "utf8");
};

module.exports.deleteFile = function() {};

module.exports.filePath = function(directory, file) {
  return `${directory}/${file}.js`;
};
